Bug 426436 - python binding for libgsf: "No module named _gsf"
python binding for libgsf: "No module named _gsf"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgsf (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 18:34 EST by Matt Wette
Modified: 2007-12-29 10:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 04:12:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hackaround in .spec (1.77 KB, text/plain)
2007-12-29 10:19 EST, Caolan McNamara
no flags Details

  None (edit)
Description Matt Wette 2007-12-20 18:34:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc7 Firefox/2.0.0.10

Description of problem:
Simple python script using gsf fails.
The program occurs at "from gsf import *".
My guess is that this is x64_64 install issue.

Version-Release number of selected component (if applicable):
libgsf-1.14.3-4.fc7

How reproducible:
Always


Steps to Reproduce:
1. run python, type "import gsf"
2.
3.

Actual Results:
$ test1.py
Traceback (most recent call last):
  File "./test1.py", line 4, in <module>
    from gsf import *
  File "/usr/lib/python2.5/site-packages/gsf/__init__.py", line 8, in <module>
    from _gsf import *
ImportError: No module named _gsf


Expected Results:
no error messages

Additional info:
I noticed that the .py* files for gsf are installed in 
/usr/lib/python2.5/site-packages/gsf

but the *.so files for gsf are installed in 
/usr/lib64/python2.5/site-packages/gsf

After I copied the .py* files to /usr/lib64/.../gsf 
the error message went away.

I'm guessing the install script is not consistent with
how python is set up to work on x86_64 machines.
Comment 1 Caolan McNamara 2007-12-21 04:12:00 EST
hmm, indeed. Fix checked in.
Comment 2 Matt Wette 2007-12-28 10:01:26 EST
what is the fix? 
Comment 3 Caolan McNamara 2007-12-29 10:19:21 EST
Created attachment 290526 [details]
hackaround in .spec

Note You need to log in before you can comment on or make changes to this bug.